{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Consideration for reapplying the rejected candidates
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                    <i class="ionicons ion-android-person-add"></i>
                Allow Student to reApply or not
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <form method="POST" class="form-inline">{% csrf_token %}
                {% for inst in list %}
                            <div class="panel">
                                <div class="clearfix">
                                    <div class="col-md-1">
                                        <br>
                                        {{ forloop.counter }}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        <input type="checkbox" name="approve" value="{{ inst.student.user }}">
                                    </div>
                                    <div class="col-md-11" style="background-color: #84cec7">
                                        <div class="panel-heading collapsed" style="background-color: #84cec7" role="tab"
                                           id="studh{{ forloop.counter }}"
                                           data-toggle="collapse" data-parent="#accordion3"
                                           
                                           aria-expanded="false" aria-controls="studc{{ forloop.counter }}">
                                            <h4 class="panel-title">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                <ul class="nav navbar-left panel_toolbox">
                                                    <li>
                                                        <strong>{{ inst.student }}</strong>
                                                    </li>
                                                </ul>
                                            <select type="text" name="allow{{inst.pk}}" required/>
                                               <option value="No" selected>Not Allow</option>
                                               <option value="Yes">Allow</option>
                                            </select>
                                       <button class="btn btn-primary" target="_blank"
                                            onclick="window.open('{% url "getDetails" application_id=inst.pk %}','_blank')">Get Details</button>
                                            </h4>
                                        
                                            <div class="profile_img">
                                                            <div id="crop-avatar">
                                                                {% load static %}
                                                                {% get_media_prefix as MEDIA_ROOT %}
                                                                {% if inst.student.gender == "M" %}
                                                                    <img src={% if inst.student.avatar %}
                                                                        {{ MEDIA_ROOT }}/profile-images/{{ inst.student.avatar }}{% else %}
                                                                        "{{ MEDIA_ROOT }}/images/male.png"
                                                                    {% endif %}
                                                                         alt="No image" height="250px"
                                                                         width="250px"><br/>
                                                                {% endif %}
                                                                {% if student.gender == "F" %}
                                                                    <img src={% if inst.student.avatar %}
                                                                        {{ MEDIA_ROOT }}/profile-images/{{ inst.student.avatar }}{% else %}
                                                                        "{{ MEDIA_ROOT }}/images/female.png"
                                                                    {% endif %}
                                                                         height="250px" width="250px"><br/>
                                                                {% endif %}
                                                            </div>
                                                    </div>
                                        
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>

</div>
                    <div class="clearfix"></div>
                     
                {% endfor %}
             <input type="submit" class="btn1 btn-dark-green" name="approved" value="Submit"
                                   id="approve_btn"/>
            </form>
        </div>
    </div>

{% endblock %}
